#include <Ice/Ice.h>
#include <CCU_v2.h>
#include <Command.h>
#include <State.h>
#include <Object.h>

using namespace std;
using namespace CCU;

class Client : public Ice::Application{
 public:
  static Ice::CommunicatorPtr _ic;
  static CranePrx _stream;
 public:
  Client();
  virtual int run(int, char**);
  ~Client();
  void setCommand(Command com);
  void setState(State& st);
};

class AMI_Crane_setCommandI : public AMI_Crane_setCommand {
	public:
		virtual void ice_response()
	    {
	    }

	    virtual void ice_exception(const Ice::Exception& ex)
	    {
	        cerr << "setCommand AMI call failed:\n" << ex << endl;
	    }
};
